<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="product"
            type="com.example.sicotask.model.ProductModel" />

        <variable
            name="listener"
            type="com.example.sicotask.listener.ProductListener" />

        <variable
            name="position"
            type="java.lang.Integer" />

    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:layout_margin="16dp"
        android:onClick="@{(v)-> listener.onProductClicked(product , position)}"
        android:orientation="vertical">

        <View
            android:id="@+id/layoutContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="24dp"
            android:background="@drawable/shadow_spa" />

        <TextView
            android:id="@+id/tvName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_centerInParent="true"
            android:padding="16dp"
            android:text="@{product.name}"
            android:textColor="@color/white"
            android:textSize="24sp"
            android:textStyle="bold"
            tools:ignore="RelativeOverlap" />


        <ImageView
            android:id="@+id/img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_margin="8dp"
            android:contentDescription="@string/icon"
            android:src="@drawable/nilex" />


    </RelativeLayout>

</layout>